Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000639Frama-CPlug-in > wppublic2010-12-15 10:152011-03-11 15:02
Reporterholgerblasum 
Assigned Tocorrenson 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Carbon-20101201-beta1 
Target VersionFrama-C Carbon-20101202-beta2Fixed in VersionFrama-C Carbon-20101202-beta2 
Summary0000639: Carbon beta coqide: need write rights to /usr/local/share/frama-c
DescriptionTake yesterday's Carbon from SVN, run with coqide 8.2 (debian testing)
$ frama-c -wp -wp-proof coqide swap.c swap1.c
Then with default install /usr/local/share/frama-c/wp coq will try
to compile *.v to *.vo
(this fails without write permission to /usr/local/share/frama-c/wp).
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001311)
holgerblasum (reporter)
2010-12-15 10:29

(Note: the host is debian linux testing, compilation was with ocaml-* from the debian testing distribution. Btw, congratulations on releasing Carbon :-))
(0001327)
correnson (manager)
2010-12-17 11:17

Now all compilations are done in a temporary directory (or -wp-out if specified)

- Issue History
Date Modified Username Field Change
2010-12-15 10:15 holgerblasum New Issue
2010-12-15 10:15 holgerblasum Status new => assigned
2010-12-15 10:15 holgerblasum Assigned To => Anne
2010-12-15 10:29 holgerblasum Note Added: 0001311
2010-12-15 18:56 signoles Assigned To Anne => correnson
2010-12-15 18:56 signoles Product Version => Frama-C Carbon-20101201-beta1
2010-12-15 18:56 signoles Target Version => Frama-C Carbon-20101202-beta2
2010-12-17 11:17 correnson Note Added: 0001327
2010-12-17 11:17 correnson Status assigned => resolved
2010-12-17 11:17 correnson Fixed in Version => Frama-C Carbon-20101202-beta2
2010-12-17 11:17 correnson Resolution open => fixed
2010-12-17 19:35 signoles Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker